Bug 155961

Summary: Web Inspector: Calculate more accurate time per-sample instead of assuming 1ms
Product: WebKit Reporter: Joseph Pecoraro <joepeck>
Component: Web InspectorAssignee: Joseph Pecoraro <joepeck>
Status: RESOLVED FIXED    
Severity: Normal CC: bburg, commit-queue, ggaren, graouts, joepeck, mattbaker, nvasilyev, sbarati, timothy, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Attachments:
Description Flags
[PATCH] Proposed Fix
none
[IMAGE] Profile View with new data none

Description Joseph Pecoraro 2016-03-28 19:25:30 PDT
* SUMMARY
Calculate more accurate time per-sample instead of assuming 1ms.
Comment 1 Radar WebKit Bug Importer 2016-03-28 19:26:04 PDT
<rdar://problem/25404505>
Comment 2 Joseph Pecoraro 2016-03-29 19:26:12 PDT
Created attachment 275164 [details]
[PATCH] Proposed Fix
Comment 3 Joseph Pecoraro 2016-03-29 19:27:28 PDT
Created attachment 275165 [details]
[IMAGE] Profile View with new data
Comment 4 Geoffrey Garen 2016-03-29 19:41:27 PDT
Comment on attachment 275164 [details]
[PATCH] Proposed Fix

r=me
Comment 5 Saam Barati 2016-03-29 21:56:55 PDT
Do you think this is worth doing in JSC instead?
Comment 6 WebKit Commit Bot 2016-03-30 12:36:20 PDT
Comment on attachment 275164 [details]
[PATCH] Proposed Fix

Clearing flags on attachment: 275164

Committed r198851: <http://trac.webkit.org/changeset/198851>
Comment 7 WebKit Commit Bot 2016-03-30 12:36:24 PDT
All reviewed patches have been landed.  Closing bug.